<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>

    <link rel="stylesheet" href="../style.css"/>
    <link rel="stylesheet" href="admin.css"/>
    <meta name="viewport" content="width=device-width, maximum-scale=1.0"/>

    <title>Arts and Events - Create an Event</title>
</head>

<body>

<!-- Page header - contains background image of tyne bridge -->
<header>
    <!-- Page title - contains only h1 of the page -->
    <div class="page_title">
        <h1>Arts and Events</h1>
        <small>Newcastle</small>
    </div>

    <!-- Mavigation - uses an unordered list -->
    <nav>
        <ul>
            <li><a href="../index.html">Exit Admin Area</a></li>
        </ul>
    </nav>
</header>

<!-- Main content of page - contained within a flex_wrapper div -->
<div class="flex_wrapper">
    <main>
        <!-- Main article - largest part of the page -->
        <article>
            <h2>Edit Event</h2>
            <?php
            include '../db.php';      // make db connection

            if (isset($_REQUEST["id"])) {
                $eventID = $db->real_escape_string($_REQUEST["id"]);
                $sql = "select
                        eventTitle, eventDescription, venueName, location,
                        catDesc, eventStartDate, eventEndDate, eventPrice,
                        AE_events.catID, AE_events.venueID
                    from AE_events
                        JOIN AE_category
                        ON AE_category.catID = AE_events.catID
                        JOIN AE_venue
                        ON AE_venue.venueID = AE_events.venueID
                    where eventID = {$eventID}";
            } else {
                echo "<p>No ID found!</p></article></main></div></body></html>";
                die();
            }

            $queryResult = $db->query($sql);
            if ($queryResult === false) {
                echo "<p>Query failed: " . $db->error . "</p></article></main></div></body></html>";
                die();
            }
            $item = $queryResult->fetch_object();
            ?>


            <form method="post" action="processEdit.php">
                <input hidden type="text" name="id" value="<?php echo $eventID ?>" />

                <label>
                    Event Title
                    <input required type="text" name="title" value="<?php echo $item->eventTitle ?>" />
                </label>


                <label>
                    Event Category
                    <select name="category">
                        <?php
                        include "../db.php";
                        $queryCat = "SELECT * from AE_category order by catDesc";
                        $queryCatResult = $db->query($queryCat);
                        if ($queryCatResult === false)
                        {
                            echo "\t<p>Unable to get categories: " . $db->error . "</p>\n";
                        }
                        else
                        {
                            while ($rowObj = $queryCatResult->fetch_object())
                            {
                                $desc = $rowObj->catDesc;
                                echo "<option value=\"{$rowObj->catID}\"";

                                if ($rowObj->catID == $item->catID) {
                                    echo "selected";
                                }
                                echo ">$desc</option>";
                            }
                        }
                        ?>
                    </select>
                </label>

                <label>
                    Description
                    <textarea required name="description"><?php echo $item->eventDescription ?></textarea>
                </label>

                <fieldset>
                    <legend>Dates range running</legend>
                    <label>
                        From
                        <input required name="from" placeholder="YYYY-MM-DD"
                               type="date" value="<?php echo $item->eventStartDate ?>"/>
                    </label>
                    <label>
                        To
                        <input required name="to" placeholder="YYYY-MM-DD"
                               type="date" value="<?php echo $item->eventEndDate ?>"/>
                    </label>
                </fieldset>

                <label>
                    Price
                    <div class="block">
                        <span class="inlinechar">
                            £<input name="price" placeholder="0.00" step="0.01"
                                    type="number" value="<?php echo $item->eventPrice ?>"/>
                        </span>
                    </div>
                </label>


                <label>
                    Event Location
                    <select name="location">
                        <?php
                        $queryVenue = "SELECT * from AE_venue order by location, venueName";

                        $queryVenueResult = $db->query($queryVenue);
                        if ($queryVenueResult === false)
                        {
                            echo "\t<p>Unable to get events: " . $db->error . "</p>\n";
                        }
                        else
                        {
                            $currLocation = "";
                            while ($rowObj = $queryVenueResult->fetch_object())
                            {
                                if ($currLocation != ucwords($rowObj->location) || $currLocation == "")
                                {
                                    if ($currLocation != "")
                                    {
                                        echo "</optgroup>";
                                    }

                                    $currLocation = ucwords($rowObj->location);
                                    echo "<optgroup label='$currLocation'>";
                                }

                                $venueName = $rowObj->venueName;

                                echo "<option value=\"{$rowObj->venueID}\"";

                                if ($rowObj->venueID == $item->venueID) {
                                    echo "selected";
                                }
                                echo ">$venueName</option>";
                            }
                        }
                        ?>
                    </select>
                </label>

                <input type="submit" />
                <input type="reset" />

            </form>
        </article>

    </main>


</div>

<!-- Page footer - same width as rest of the page -->
<footer>
    <p>&copy; Arts and Events 2016</p>
    <p>Want to get in touch? Call us: 0191 2948023</p>
</footer>


</body>

<!--

Image References

tyne-bridge.png / tyne-bridge-phone.png
    Watson, B. (unknown). The Glow on the Tyne. Available at
    http://www.brianwatsonphoto.co.uk/Pano/index.html#7
    (Accessed 04/12/2016)

event-example.jpg - from flickr
    DFDS Seaways (2014). The New Year's Eve Winter Carnival parade Christmas Newcastle
    Available at https://www.flickr.com/photos/dfdsseawaysnl/15633709346/
    (Accessed 04/12/2016)

event-example2.jpg - from article
    Duke S (2016). Town Moor set to play host to first ever Newcastle Fiesta event
    Available at http://www.chroniclelive.co.uk/whats-on/family-kids-news/town-moor-set-play-host-11553885
    (Accessed 04/12/2016)

-->

</html>