<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>

    <link rel="stylesheet" href="../style.css"/>
    <link rel="stylesheet" href="admin.css"/>
    <meta name="viewport" content="width=device-width, maximum-scale=1.0"/>

    <title>Arts and Events - Homepage</title>
</head>

<body>

<!-- Page header - contains background image of tyne bridge -->
<header>
    <!-- Page title - contains only h1 of the page -->
    <div class="page_title">
        <h1>Arts and Events</h1>
        <small>Newcastle</small>
    </div>

    <!-- Navigation - uses an unordered list -->
    <nav>
        <ul>
            <li><a href="../index.html">Exit Admin Area</a></li>
        </ul>
    </nav>
</header>

<!-- Main content of page - contained within a flex_wrapper div -->
<div class="flex_wrapper">
    <main>
        <!-- Main article - largest part of the page -->
        <article>
            <h2>All Events</h2>

            <div class="events">
                <?php
                include "../db.php";

                $sql = "select eventID,
                        eventTitle, eventDescription, venueName, location,
                        catDesc, eventStartDate, eventEndDate, eventPrice
                    from AE_events
                        JOIN AE_category
                        ON AE_category.catID = AE_events.catID
                        JOIN AE_venue
                        ON AE_venue.venueID = AE_events.venueID
                    order by eventTitle";

                $queryResult = $db->query($sql);
                if ($queryResult === false)
                {
                    echo "\t<p>Unable to get events: " . $db->error . "</p>\n";
                }
                else
                {
                    while ($rowObj = $queryResult->fetch_object())
                    {
                        $price = $rowObj->eventPrice == 0.00 ? "Free" : "£" . $rowObj->eventPrice;
                        echo "<div class='event'>\n";
                        echo "<div class='title'>\n";
                        echo "<h4>{$rowObj->eventTitle}</h4>\n";
                        echo "<small>{$rowObj->catDesc}</small>";
                        echo "</div>";
                        echo "<p>{$rowObj->eventDescription}</p>\n";

                        echo "<ul class='small'>\n";
                        echo "<li>Where: {$rowObj->venueName} in {$rowObj->location}</li>\n";
                        echo "<li>When: {$rowObj->eventStartDate} to {$rowObj->eventEndDate}</li>\n";
                        echo "<li>Price: $price</li>\n";
                        echo "</ul>\n";

                        echo "<a href='edit.php?id={$rowObj->eventID}' class='button'><button>Edit Event</button></a>";
                        echo "<a href='remove.php?id={$rowObj->eventID}' class='button'><button>Remove Event</button></a>";

                        echo "</div>\n";
                    }
                }

                ?>
            </div>

        </article>

    </main>
</div>

<!-- Page footer - same width as rest of the page -->
<footer>
    <p>&copy; Arts and Events 2016</p>
    <p>Want to get in touch? Call us: 0191 2948023</p>
</footer>


</body>
</html>
