<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>

    <link rel="stylesheet" href="style.css"/>
    <meta name="viewport" content="width=device-width, maximum-scale=1.0"/>

    <title>Arts and Events - Homepage</title>
</head>

<body>

<!-- Page header - contains background image of tyne bridge -->
<header>
    <!-- Page title - contains only h1 of the page -->
    <div class="page_title">
        <h1>Arts and Events</h1>
        <small>Newcastle</small>
    </div>

    <!-- Mavigation - uses an unordered list -->
    <nav>
        <ul>
            <li><a href="index.html">Home</a></li>
            <li><a href="events.php">View Events</a></li>
            <li><a href="admin/">Admin</a></li>
            <li><a href="#">Credits</a></li>
            <li><a href="wireframe.pdf">View Wireframe</a></li>
        </ul>
    </nav>
</header>

<!-- Main content of page - contained within a flex_wrapper div -->
<div class="flex_wrapper">
    <main>
        <!--
            By having the article and events sidebar in a seperate flexbox to the adverts,
            the columns can be controlled seperately.
         -->

        <!-- Main article - largest part of the page -->
        <article>
            <h2>Our Events</h2>
            <p>
                There's always something going on in Newcastle - here's a list of
                everything we know of!
            </p>

            <div class="events">
            <?php
            include "db.php";

            $sql = "select
                        eventTitle, eventDescription, venueName, location,
                        catDesc, eventStartDate, eventEndDate, eventPrice
                    from AE_events
                        JOIN AE_category
                        ON AE_category.catID = AE_events.catID
                        JOIN AE_venue
                        ON AE_venue.venueID = AE_events.venueID
                    order by eventTitle";

            $queryResult = $db->query($sql);
            if ($queryResult === false)
            {
                echo "\t<p>Unable to get events: " . $db->error . "</p>\n";
            }
            else
            {
                while ($rowObj = $queryResult->fetch_object())
                {
                    $price = $rowObj->eventPrice == 0.00 ? "Free" : "£" . $rowObj->eventPrice;
                    echo "<div class='event'>\n";
                    echo "<div class='title'>\n";
                    echo "<h4>{$rowObj->eventTitle}</h4>\n";
                    echo "<small>{$rowObj->catDesc}</small>";
                    echo "</div>";
                    echo "<p>{$rowObj->eventDescription}</p>\n";

                    echo "<ul class='small'>\n";
                    echo "<li>Where: {$rowObj->venueName} in {$rowObj->location}</li>\n";
                    echo "<li>When: {$rowObj->eventStartDate} to {$rowObj->eventEndDate}</li>\n";
                    echo "<li>Price: $price</li>\n";
                    echo "</ul>\n";

                    echo "</div>\n";
                }
            }

            ?>
            </div>

        </article>

    </main>

    <!-- Adverts - is at the bottom so adverts will appear at the bottom if no styles -->
    <aside class="adverts">
        <h2>Adverts</h2>
        <div class="advert small">
            <h3>Need staff for an event?</h3>
            <p>Get in touch with TempStaff - we have a wide range of people looking for temp work on our books.</p>
            <small>Contact us on 0191 0101010 or email us at <a href="#">contact@tempstaff.co.uk</a></small>
        </div>
    </aside>

</div>

<!-- Page footer - same width as rest of the page -->
<footer>
    <p>&copy; Arts and Events 2016</p>
    <p>Want to get in touch? Call us: 0191 2948023</p>
</footer>


</body>

<!--

Image References

tyne-bridge.png / tyne-bridge-phone.png
    Watson, B. (unknown). The Glow on the Tyne. Available at
    http://www.brianwatsonphoto.co.uk/Pano/index.html#7
    (Accessed 04/12/2016)

event-example.jpg - from flickr
    DFDS Seaways (2014). The New Year's Eve Winter Carnival parade Christmas Newcastle
    Available at https://www.flickr.com/photos/dfdsseawaysnl/15633709346/
    (Accessed 04/12/2016)

event-example2.jpg - from article
    Duke S (2016). Town Moor set to play host to first ever Newcastle Fiesta event
    Available at http://www.chroniclelive.co.uk/whats-on/family-kids-news/town-moor-set-play-host-11553885
    (Accessed 04/12/2016)

-->

</html>
